Simpler Navigation for Servers and Operating Systems
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
Operating System - Tru64 Unix
cancel
Showing results for 
Search instead for 
Did you mean: 

install pk4 patch kit on 5.1B never starts install portion

SOLVED
Go to solution
Jim Giles
Advisor

install pk4 patch kit on 5.1B never starts install portion

I am running 5.1B PK3 and am trying to install pk4. The dupatch runs through the preliminary stuff then just comes back to the menu. Any clue why it does not do the install? Part of log shown here.

*** Installing 58 patches ***

************************** CAUTION ************************************

Interruption of this phase of the operation will corrupt your
operating system software and compromise the patch database
integrity.

DO NOT Ctrl/C, power off your system, or in any other way
interrupt the patch operation. The patch operation is complete
when you are returned to the Patch Utility menus.

***********************************************************************

Tru64 UNIX Patch Utility (Rev. 46-00)
==========================
- This dupatch session is logged in /var/adm/patch/log/session.log

Patch Installation Menu:
-----------------------

1) Pre-Installation Check ONLY
2) Check & Install patches in Single-User Mode

b) Back to Main Menu
q) Quit

Enter your choice: q



13 REPLIES
Ivan Ferreira
Honored Contributor

Re: install pk4 patch kit on 5.1B never starts install portion

Run the baseline check first.

Then run the pre-installation check only.
Por que hacerlo dificil si es posible hacerlo facil? - Why do it the hard way, when you can do it the easy way?
Michael Schulte zur Sur
Honored Contributor

Re: install pk4 patch kit on 5.1B never starts install portion

Hi,

can you post
dupatch -nolog -track -type kit
?

thanks,

Michael
Rani sawade
Occasional Advisor

Re: install pk4 patch kit on 5.1B never starts install portion


Hi,
Along with the output of "dupatch -track -type kit -nolog", could you post the
/var/adm/patch/log/session.log file, of
the installation process?

-Rani.
Jim Giles
Advisor

Re: install pk4 patch kit on 5.1B never starts install portion


I have attached a file doing yor commands.
Johan Brusche
Honored Contributor

Re: install pk4 patch kit on 5.1B never starts install portion


dupatch is looking in /etc/sysconfigtab for some of below values:

grep _vers_ /etc/sysconfigtab
old_vers_high = 1445673072572143232
old_vers_low = 536924035
act_vers_high = 1445673072572143232
act_vers_low = 805359491
new_vers_high = 1445673072572143232
new_vers_low = 805359491

If dupatch does not find the correct parameter+value, it will silently abort the install.
Look in the manpage for versw, you probably will have to use '-switch' or '-forcesw' to correct the situation.

Rgds,
__ Johan./

_JB_
Jim Giles
Advisor

Re: install pk4 patch kit on 5.1B never starts install portion

Should I try something else? I do not see much positive from this.

#
# versw -switch
Failure to switch versions because the new version is older than than the active version
#
#
# versw -forcesw
Failure to switch versions because the new version is older than than the active version
#
#
#
# versw -dump
Old version = ( 0 , 0 )
Active version = ( 1410100000029680 , 1000cf3c )
New version = ( 0 , 0 )
Version transition state = 0
Version switch state = 0

# versw -check
#
#
Jim Giles
Advisor

Re: install pk4 patch kit on 5.1B never starts install portion

Thank you very much for your reply, you have clearly found my problem. I did not intend to sound negative on the previous reply. But I do need a little more help in getting the problem fixed.

Thanks, Jim
Michael Schulte zur Sur
Honored Contributor

Re: install pk4 patch kit on 5.1B never starts install portion

Hi,

btw, pk5 is the latest for 5.1B.

Michael
Jim Giles
Advisor

Re: install pk4 patch kit on 5.1B never starts install portion

Thanks for the PK5 alert.

I am just trying to get all my systems to pk4 right now. All of them are at pk4 with the exception of this one with the obstacle.

I am still hoping for someone to provide my next step to get the sysconfigtab entries back in line.
Johan Brusche
Honored Contributor

Re: install pk4 patch kit on 5.1B never starts install portion


Finally got some time to do some digging on this issue....

Can you please report the result of:

# grep VERS_LOW /usr/sys/conf/version.id*

__Johan.





_JB_
Johan Brusche
Honored Contributor
Solution

Re: install pk4 patch kit on 5.1B never starts install portion


Ok, mistake... have to grep for VERS_ID_LOW

Via 'dbx -k /vmunix' one can find the actif VERS_ID_LOW with the command 'px act_vers_low'

Some values for VERS_ID_LOW I'm trying to correlate by scanning through inhouse systems:

V5.1B PK#2 ----- 0x1000CD90
V5.1B PK#3 ----- 0x1000CF3C
V5.1B PK#4 ----- 0x2000CF83
V5.1B PK#5 ----- 0x3000CF83

How it should work...
- have correct ID_LOW in /sys/conf/version.id
- use 'versw -setnew'
- then 'versw -switch'

Hope this helps...

__ Johan.

_JB_
Jim Giles
Advisor

Re: install pk4 patch kit on 5.1B never starts install portion

Tremendous thanks for your research and assistance.

Just for the record, it may be that I did something wrong but I had to do one retry of the pk4 install. In addition to your steps I did the following.

I copied the original version.id file to another file for safety.

I modified the version.id to contain the correct VERS_ID_LOW entry per your listing,

did the versw -setnew to get the version active

the patch install run stopped saying the version.id was not valid, there must be some control char in the file that I stepped on during edit.

copied the original (see step above)version.id file back to version.id file name

started that pk install again and the patch kit installed and updated the version.id file to the correct information


Jim Giles
Advisor

Re: install pk4 patch kit on 5.1B never starts install portion

Solution provided in thread.